Bug 1010999 - Protected multilib versions: qpid-cpp-client-0.22-2.fc19.i686 != qpid-cpp-client-0.24-1.fc19.x86_64
Protected multilib versions: qpid-cpp-client-0.22-2.fc19.i686 != qpid-cpp-cli...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qpid-cpp (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
: 1011104 1021456 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 09:13 EDT by T.C. Hollingsworth
Modified: 2015-06-21 20:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.24-4.fc20.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:26:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-09-23 09:13:16 EDT
---> Package python-qpid.noarch 0:0.22-2.fc19 will be updated
---> Package python-qpid.noarch 0:0.22-3.fc19 will be an update
--> Processing Dependency: python-qpid-common = 0.22-3.fc19 for package: python-qpid-0.22-3.fc19.noarch
---> Package qpid-cpp-client.x86_64 0:0.22-2.fc19 will be updated
--> Processing Dependency: qpid-cpp-client = 0.22-2.fc19 for package: qpid-cpp-client-ssl-0.22-2.fc19.x86_64
---> Package qpid-cpp-client.x86_64 0:0.24-1.fc19 will be an update
--> Processing Dependency: qpid-proton-c(x86-64) >= 0.5 for package: qpid-cpp-client-0.24-1.fc19.x86_64
--> Processing Dependency: libqpid-proton.so.2()(64bit) for package: qpid-cpp-client-0.24-1.fc19.x86_64
---> Package qpid-cpp-client-rdma.x86_64 0:0.22-2.fc19 will be updated
---> Package qpid-cpp-client-rdma.x86_64 0:0.24-1.fc19 will be an update
---> Package qpid-cpp-server.x86_64 0:0.22-2.fc19 will be updated
---> Package qpid-cpp-server.x86_64 0:0.24-1.fc19 will be an update
--> Processing Dependency: libdb_cxx-4.8.so()(64bit) for package: qpid-cpp-server-0.24-1.fc19.x86_64
---> Package thunderbird.x86_64 0:17.0.8-1.fc19 will be updated
---> Package thunderbird.x86_64 0:24.0-2.fc19 will be an update
---> Package zeromq3.x86_64 0:3.2.3-1.fc19 will be updated
---> Package zeromq3.x86_64 0:3.2.4-1.fc19 will be an update
--> Running transaction check
---> Package libdb4-cxx.x86_64 0:4.8.30-10.fc19 will be installed
---> Package python-qpid-common.noarch 0:0.22-3.fc19 will be installed
---> Package qpid-cpp-client.i686 0:0.22-2.fc19 will be installed
--> Processing Dependency: libsslcommon.so.2 for package: qpid-cpp-client-0.22-2.fc19.i686
--> Processing Dependency: librdmawrap.so.2 for package: qpid-cpp-client-0.22-2.fc19.i686
--> Processing Dependency: librdmacm.so.1 for package: qpid-cpp-client-0.22-2.fc19.i686
--> Processing Dependency: libibverbs.so.1 for package: qpid-cpp-client-0.22-2.fc19.i686
--> Processing Dependency: libboost_system-mt.so.1.53.0 for package: qpid-cpp-client-0.22-2.fc19.i686
--> Processing Dependency: libboost_program_options-mt.so.1.53.0 for package: qpid-cpp-client-0.22-2.fc19.i686
---> Package qpid-cpp-client.x86_64 0:0.22-2.fc19 will be updated
---> Package qpid-proton-c.x86_64 0:0.5-2.fc19 will be installed
--> Running transaction check
---> Package boost-program-options.i686 0:1.53.0-14.fc19 will be installed
---> Package boost-system.i686 0:1.53.0-14.fc19 will be installed
---> Package libibverbs.i686 0:1.1.7-3.fc19 will be installed
---> Package librdmacm.i686 0:1.0.17-1.fc19 will be installed
---> Package qpid-cpp-client-rdma.i686 0:0.24-1.fc19 will be installed
---> Package qpid-cpp-client-ssl.i686 0:0.22-2.fc19 will be installed
--> Finished Dependency Resolution
<snip long multilib error>
       Protected multilib versions: qpid-cpp-client-0.22-2.fc19.i686 != qpid-cpp-client-0.24-1.fc19.x86_64

If you look at the `yum -v` output it indicates that it's failing because this subpackage is on the older version:
---> Package qpid-cpp-client-ssl.i686 0:0.22-2.fc19 will be installed

% repoquery qpid-cpp\*
qpid-cpp-client-0:0.24-1.fc19.i686
qpid-cpp-client-0:0.24-1.fc19.x86_64
qpid-cpp-client-devel-0:0.24-1.fc19.i686
qpid-cpp-client-devel-0:0.24-1.fc19.x86_64
qpid-cpp-client-devel-docs-0:0.24-1.fc19.noarch
qpid-cpp-client-rdma-0:0.24-1.fc19.i686
qpid-cpp-client-rdma-0:0.24-1.fc19.x86_64
qpid-cpp-client-ssl-0:0.22-2.fc19.i686
qpid-cpp-client-ssl-0:0.22-2.fc19.x86_64
qpid-cpp-server-0:0.24-1.fc19.i686
qpid-cpp-server-0:0.24-1.fc19.x86_64
qpid-cpp-server-ha-0:0.24-1.fc19.x86_64
qpid-cpp-server-rdma-0:0.24-1.fc19.x86_64
qpid-cpp-server-ssl-0:0.22-2.fc19.x86_64
qpid-cpp-server-store-0:0.24-1.fc19.x86_64
qpid-cpp-server-xml-0:0.24-1.fc19.x86_64
Comment 1 Fedora Update System 2013-09-23 11:46:03 EDT
qpid-cpp-0.24-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-3.fc20
Comment 2 Fedora Update System 2013-09-23 12:42:20 EDT
qpid-cpp-0.24-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-2.fc19
Comment 3 Darryl L. Pierce 2013-09-23 12:46:42 EDT
*** Bug 1011104 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2013-09-23 13:17:22 EDT
qpid-cpp-0.24-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-2.fc18
Comment 5 Fedora Update System 2013-09-23 20:28:28 EDT
Package qpid-cpp-0.24-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-cpp-0.24-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17464/qpid-cpp-0.24-3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-26 16:29:53 EDT
qpid-cpp-0.24-4.fc20.1 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-4.fc20.1
Comment 7 Fedora Update System 2013-09-26 16:51:56 EDT
qpid-cpp-0.24-3.fc19.1 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-3.fc19.1
Comment 8 Fedora Update System 2013-09-26 17:11:27 EDT
qpid-cpp-0.24-3.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-3.fc18.1
Comment 9 Fedora Update System 2013-10-08 07:26:15 EDT
qpid-cpp-0.24-3.fc19.1 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-08 07:32:03 EDT
qpid-cpp-0.24-3.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-09 10:45:19 EDT
qpid-cpp-0.24-4.fc20.1 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Darryl L. Pierce 2013-10-22 07:31:57 EDT
*** Bug 1021456 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.